Skip to main content

Inspect Media

Curated Reference

This page is maintained from curated documentation data.

GETffmpeg.ffprobe

Extract technical metadata from a media source.

Request Body

{
"jsonrpc": "2.0",
"id": "ffmpeg-ffprobe-example",
"method": "tools/call",
"params": {
"name": "ffmpeg.ffprobe",
"arguments": {
"source_url": "https://cdn.example.com/video/demo.mp4"
}
}
}

Arguments Schema

{
"type": "object",
"required": [
"source_url"
],
"properties": {
"source_url": {
"type": "string"
}
},
"additionalProperties": false
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "ffmpeg-ffprobe-example",
"method": "tools/call",
"params": {
"name": "ffmpeg.ffprobe",
"arguments": {
"source_url": "https://cdn.example.com/video/demo.mp4"
}
}
}'

Example Responses

{
"ok": true,
"duration_seconds": 132.4,
"video_codec": "h264",
"audio_codec": "aac"
}